This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 107615 - smartd can't start if an USB storage device is plugged
smartd can't start if an USB storage device is plugged
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-21 06:07 EDT by Julien Olivier
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 22:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Julien Olivier 2003-10-21 06:07:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
If, before starting smartd, I plug an USB storage device (usually seen as
/dev/sda1), smartd won't hapen to start:

[root@dhcppc0 julo]# /etc/rc.d/init.d/smartd start
Starting smartd:

...

If, however, I start smartd without any USB storage device plugged, it starts
without problems.

Note: removing the USB storage device while smartd is attempting to start
doesn't help.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.plug an USB storage device
2.type /etc/rc.d/init.d/smartd stop
3.type /etc/rc.d/init.d/smartd start
    

Actual Results:  It hangs forever...

Expected Results:  It should start.

Additional info:

I have disabled kudzu in this runlevel. But I don't think it's revelant...
Comment 1 Bruce Allen 2003-10-21 06:46:42 EDT
We are aware of this problem and are looking for a fix.  The underlying
problem is that USB drives only implement a subset of the mandatory SCSI
command set.

For the moment you can work around this by setting up /etc/smartd.conf so
that it does NOT scan for devices.
Comment 2 lupus 2003-11-09 13:29:34 EST
smartd says that it starts on my federa but it takes two minutes to
start the daemon.

When I start with the usb storage removed it takes a second :)

if you need the logs just let me know ;)
Comment 3 Bruce Allen 2003-11-09 15:26:15 EST
Lupus,

Currently, the only solution is to modify /etc/smartd.conf, so that you  
do NOT scan devices.  Then, explicitly list the devices that you want
to monitor.  Do NOT list your USB storage device.
Comment 4 Bruce Allen 2003-11-20 09:27:34 EST
This is fixed in the smartmontools 5.25 development/testing release
and in subsequent releases, including the 5.26 stable release.

The problematic USB devices return some incorrect SCSI length data.
smartd/smartctl now detect this and exit before sending SCSI
commands that will hang the process.
Comment 5 Dave Jones 2005-04-21 22:52:14 EDT
this should be fixed in current trees, as FC3 has 5.33

Note You need to log in before you can comment on or make changes to this bug.